Subject: [os2genau_digest] No. 277
From: "Digest" <newsatos2site dot com>
To: "OS/2GenAu Digest" <deadmail>
Date: Sun, 17 Feb 2002 01:00:00 +1100 (EDT)

Date:- 17 February 2002

1================================================

From: "Ian Manners" <newsatos2site dot com>
Date: Sat, 16 Feb 2002 00:09:09 +1100 (EDT)
Subject: Re: [os2genau] is there a Doctor in the house ?

Hi Voytek

>>Who is pluto.senet dot com dot au ?
>dunno 

>>You are relaying through them.
>>[I:\swc\java]host 203.56.239.150
>>203.56.239.150 = pluto.senet dot com dot au
>
>why would I relay through them ?

If you havent set your MX for them, which I kind of assume
you havent, I would take a punt and say the MX for your
domain is stuffed up :-(

Do you mean to use your email server at echidna.sbt dot net dot au ?
If so, the MX values arent set for it, at least not from my side
when I look using mxlookup.

Cheers
Ian B Manners
http://www.os2site dot com/

2==============================================

From: "voytek" <voytekatsbt dot net dot au>
Date: Sat, 16 Feb 2002 00:31:15 +1100
Subject: Re: [os2genau] is there a Doctor in the house ?

On Sat, 16 Feb 2002 00:09:09 +1100 (EDT), Ian Manners wrote:

>>>You are relaying through them.
>>>[I:\swc\java]host 203.56.239.150
>>>203.56.239.150 = pluto.senet dot com dot au
>>
>>why would I relay through them ?
>
>If you havent set your MX for them, which I kind of assume
>you havent, I would take a punt and say the MX for your
>domain is stuffed up :-(
>
>Do you mean to us your email server at echidna.sbt dot net dot au ?
>If so, the MX values arent set for it.

I was trying to send to gnatsmartroad, and, it bounced.
what's that got to do with my MX..?

[<echidna>-E:\ute]mxlookup sbt dot net dot au
MXLookup (32bit)  4 January 2001
1: echidna.sbt dot net dot au  Pref Val = 10  TTL = 86400
2: platypus.sbt dot net dot au  Pref Val = 40  TTL = 86400
3: postoffice.telstra dot net  Pref Val = 80  TTL = 86400

3==============================================

From: "Ian Manners" <newsatos2site dot com>
Date: Sat, 16 Feb 2002 02:07:25 +1100 (EDT)
Subject: Re: [os2genau] is there a Doctor in the house ?

Hi Voytek

>I was trying to send to gnatsmartroad, and, it bounced.
>what's that got to do with my MX..?

A lot, as the error message from smartroad states that the
email server your using doesnt have a valid MX.

When I use telstra's pipeline, I cant get a valid MX for
your email server either, but using connect dot com dot au's
pipeline, I see you with no problems at all.

I suspect this is were the "pluto.senet dot com dot au" is coming
into it, smartroad thinks your email is being relayed through
pluto.senet dot com dot au, so it is rejecting that email due to
the spam rules.

I'm not sure whats happening with the internet at present
but I have also noticed in my Apache error logs, hits for
files and directories that are not on os2site dot com, os2site dot net,
and other domains I have here, its like someone elses
domains have my IP address's.

I have also had a big surge in CodeRed type hits being
stopped at the firewall, including Nimda hits.

I've not seen the error logs like this before, its almost
like someone is hacking the root servers. Or Telstra's
Windows network is breaking down ;-)

Cheers
Ian B Manners
http://www.os2site dot com/

4==============================================

From: "Ian Manners" <newsatos2site dot com>
Date: Sat, 16 Feb 2002 04:28:56 +1100 (EDT)
Subject: Re: [os2genau] CNAME etc

Hi Ed

> Can you explain to me what a CNAME is and what it does please ?

First, here is a slice of my DNS file for ecs-site dot com.

;
; Definition of the mail exchanger for ecs-site dot com.
	MX	10	ecs-site dot com.
	MX	100	yarrina.connect dot com dot au.
	MX	120	warrane.connect dot com dot au.
;
;
;********************************
;*  Domain Address Information  *
;********************************
;
; Addresses for the canonical names
;
; Make entries for the generic parts of the ecs-site dot com domain here too
www.ecs-site dot com.	A		210.8.201.168
ftp.ecs-site dot com.		A		210.8.201.168
mail.ecs-site dot com.		CNAME		mail.os2site dot com.

A CNAME is simply an ALIAS for another Name or "item".
A CNAME should however never be referenced by another
alias/CNAME, ie, it should never appear on the right hand
side of the database tables.

In this case, as www.ecs-site dot com is hosted on the os2site dot com
server, and I use Weasel as the mail server software, Weasel
is not multi domain capable, so I can still have an MX
(Mail eXchange) record for ecs-site dot com, and a reference of
mail.ecs-site dot com by creating an alias pointing at os2site dot com's
mail server, in this case mail.os2site dot com

I could also simply make ecs-site dot com's MX record point
to mail.os2site dot com.

There are other reasons for having CNAME's in DNS
records, ie, multi honed hosts.

I'll see if I can dig up some web references which would
probably give some better examples as well.

Cheers
Ian B Manners
http://www.os2site dot com/